Index: tests/modeltests/delete/models.py
===================================================================
--- tests/modeltests/delete/models.py	(revision 16529)
+++ tests/modeltests/delete/models.py	(working copy)
@@ -1,4 +1,4 @@
-from django.db import models, IntegrityError
+from django.db import models
 
 
 class R(models.Model):
Index: tests/modeltests/fixtures_model_package/models/__init__.py
===================================================================
--- tests/modeltests/fixtures_model_package/models/__init__.py	(revision 16529)
+++ tests/modeltests/fixtures_model_package/models/__init__.py	(working copy)
@@ -1,5 +1,4 @@
 from django.db import models
-from django.conf import settings
 
 class Article(models.Model):
     headline = models.CharField(max_length=100, default='Default headline')
Index: tests/modeltests/model_forms/models.py
===================================================================
--- tests/modeltests/model_forms/models.py	(revision 16529)
+++ tests/modeltests/model_forms/models.py	(working copy)
@@ -7,7 +7,6 @@
 words, most of these tests should be rewritten.
 """
 
-import os
 import tempfile
 
 from django.db import models
Index: tests/modeltests/many_to_one/tests.py
===================================================================
--- tests/modeltests/many_to_one/tests.py	(revision 16529)
+++ tests/modeltests/many_to_one/tests.py	(working copy)
@@ -2,7 +2,7 @@
 from datetime import datetime
 
 from django.test import TestCase
-from django.core.exceptions import FieldError, MultipleObjectsReturned
+from django.core.exceptions import MultipleObjectsReturned
 
 from models import Article, Reporter
 
Index: tests/modeltests/basic/tests.py
===================================================================
--- tests/modeltests/basic/tests.py	(revision 16529)
+++ tests/modeltests/basic/tests.py	(working copy)
@@ -1,7 +1,6 @@
 from datetime import datetime
 
 from django.core.exceptions import ObjectDoesNotExist
-from django.db import models, DEFAULT_DB_ALIAS, connection
 from django.db.models.fields import FieldDoesNotExist
 from django.test import TestCase, skipIfDBFeature, skipUnlessDBFeature
 
Index: tests/modeltests/basic/models.py
===================================================================
--- tests/modeltests/basic/models.py	(revision 16529)
+++ tests/modeltests/basic/models.py	(working copy)
@@ -4,7 +4,7 @@
 
 This is a basic model with only two non-primary-key fields.
 """
-from django.db import models, DEFAULT_DB_ALIAS, connection
+from django.db import models
 
 class Article(models.Model):
     headline = models.CharField(max_length=100, default='Default headline')
Index: tests/modeltests/force_insert_update/models.py
===================================================================
--- tests/modeltests/force_insert_update/models.py	(revision 16529)
+++ tests/modeltests/force_insert_update/models.py	(working copy)
@@ -2,7 +2,7 @@
 Tests for forcing insert and update queries (instead of Django's normal
 automatic behaviour).
 """
-from django.db import models, transaction, IntegrityError
+from django.db import models
 
 class Counter(models.Model):
     name = models.CharField(max_length = 10)
Index: tests/modeltests/one_to_one/models.py
===================================================================
--- tests/modeltests/one_to_one/models.py	(revision 16529)
+++ tests/modeltests/one_to_one/models.py	(working copy)
@@ -6,7 +6,7 @@
 In this example, a ``Place`` optionally can be a ``Restaurant``.
 """
 
-from django.db import models, transaction, IntegrityError
+from django.db import models
 
 class Place(models.Model):
     name = models.CharField(max_length=50)
Index: tests/modeltests/validation/validators.py
===================================================================
--- tests/modeltests/validation/validators.py	(revision 16529)
+++ tests/modeltests/validation/validators.py	(working copy)
@@ -1,5 +1,3 @@
-from django.utils.unittest import TestCase
-
 from modeltests.validation import ValidationTestCase
 from models import *
 
Index: tests/modeltests/validation/models.py
===================================================================
--- tests/modeltests/validation/models.py	(revision 16529)
+++ tests/modeltests/validation/models.py	(working copy)
@@ -1,7 +1,6 @@
 from datetime import datetime
 from django.core.exceptions import ValidationError
 from django.db import models
-from django.test import TestCase
 
 
 def validate_answer_to_universe(value):
Index: tests/modeltests/validation/test_unique.py
===================================================================
--- tests/modeltests/validation/test_unique.py	(revision 16529)
+++ tests/modeltests/validation/test_unique.py	(working copy)
@@ -2,9 +2,7 @@
 
 import datetime
 
-from django.conf import settings
 from django.core.exceptions import ValidationError
-from django.db import connection
 from django.test import TestCase
 from django.utils import unittest
 
Index: tests/modeltests/m2m_through/tests.py
===================================================================
--- tests/modeltests/m2m_through/tests.py	(revision 16529)
+++ tests/modeltests/m2m_through/tests.py	(working copy)
@@ -3,8 +3,8 @@
 
 from django.test import TestCase
 
-from models import Person, Group, Membership, CustomMembership, \
-    TestNoDefaultsOrNulls, PersonSelfRefM2M, Friendship
+from models import (Person, Group, Membership, CustomMembership,
+    PersonSelfRefM2M, Friendship)
 
 
 class M2mThroughTests(TestCase):
Index: tests/modeltests/transactions/tests.py
===================================================================
--- tests/modeltests/transactions/tests.py	(revision 16529)
+++ tests/modeltests/transactions/tests.py	(working copy)
@@ -1,9 +1,6 @@
 from __future__ import with_statement
 
-import sys
-
-from django.db import connection, transaction, IntegrityError, DEFAULT_DB_ALIAS
-from django.conf import settings
+from django.db import connection, transaction, IntegrityError
 from django.test import TransactionTestCase, skipUnlessDBFeature
 
 from models import Reporter
Index: tests/modeltests/transactions/models.py
===================================================================
--- tests/modeltests/transactions/models.py	(revision 16529)
+++ tests/modeltests/transactions/models.py	(working copy)
@@ -7,7 +7,7 @@
 manually.
 """
 
-from django.db import models, DEFAULT_DB_ALIAS
+from django.db import models
 
 class Reporter(models.Model):
     first_name = models.CharField(max_length=30)
Index: tests/modeltests/model_formsets/tests.py
===================================================================
--- tests/modeltests/model_formsets/tests.py	(revision 16529)
+++ tests/modeltests/model_formsets/tests.py	(working copy)
@@ -10,7 +10,7 @@
 from django.test import TestCase, skipUnlessDBFeature
 
 from modeltests.model_formsets.models import (
-    Author, BetterAuthor, Book, BookWithCustomPK, Editor,
+    Author, BetterAuthor, Book, BookWithCustomPK,
     BookWithOptionalAltEditor, AlternateBook, AuthorMeeting, CustomPrimaryKey,
     Place, Owner, Location, OwnerProfile, Restaurant, Product, Price,
     MexicanRestaurant, ClassyMexicanRestaurant, Repository, Revision,
Index: tests/modeltests/pagination/tests.py
===================================================================
--- tests/modeltests/pagination/tests.py	(revision 16529)
+++ tests/modeltests/pagination/tests.py	(working copy)
@@ -1,5 +1,4 @@
 from datetime import datetime
-from operator import attrgetter
 
 from django.core.paginator import Paginator, InvalidPage, EmptyPage
 from django.test import TestCase
Index: tests/modeltests/serializers/tests.py
===================================================================
--- tests/modeltests/serializers/tests.py	(revision 16529)
+++ tests/modeltests/serializers/tests.py	(working copy)
@@ -9,8 +9,7 @@
 from django.test import TestCase, TransactionTestCase, Approximate
 from django.utils import simplejson, unittest
 
-from models import Category, Author, Article, AuthorProfile, Actor, \
-                                    Movie, Score, Player, Team
+from models import Category, Author, Article, AuthorProfile, Actor, Movie, Score, Player, Team
 
 class SerializerRegistrationTests(unittest.TestCase):
     def setUp(self):
Index: tests/modeltests/fixtures/tests.py
===================================================================
--- tests/modeltests/fixtures/tests.py	(revision 16529)
+++ tests/modeltests/fixtures/tests.py	(working copy)
@@ -1,13 +1,10 @@
 import StringIO
-import sys
 
-from django.conf import settings
 from django.contrib.sites.models import Site
 from django.core import management
-from django.db import DEFAULT_DB_ALIAS
 from django.test import TestCase, TransactionTestCase, skipUnlessDBFeature
 
-from models import Article, Blog, Book, Category, Person, Spy, Tag, Visa
+from models import Article, Book, Spy, Tag, Visa
 
 
 class TestCaseFixtureLoadingTests(TestCase):
Index: tests/modeltests/fixtures/models.py
===================================================================
--- tests/modeltests/fixtures/models.py	(revision 16529)
+++ tests/modeltests/fixtures/models.py	(working copy)
@@ -11,8 +11,7 @@
 from django.contrib.auth.models import Permission
 from django.contrib.contenttypes import generic
 from django.contrib.contenttypes.models import ContentType
-from django.db import models, DEFAULT_DB_ALIAS
-from django.conf import settings
+from django.db import models
 
 
 class Category(models.Model):
Index: tests/regressiontests/defer_regress/tests.py
===================================================================
--- tests/regressiontests/defer_regress/tests.py	(revision 16529)
+++ tests/regressiontests/defer_regress/tests.py	(working copy)
@@ -1,9 +1,7 @@
 from operator import attrgetter
 
-from django.conf import settings
 from django.contrib.contenttypes.models import ContentType
 from django.contrib.sessions.backends.db import SessionStore
-from django.db import connection
 from django.db.models import Count
 from django.db.models.loading import cache
 from django.test import TestCase
Index: tests/regressiontests/defer_regress/models.py
===================================================================
--- tests/regressiontests/defer_regress/models.py	(revision 16529)
+++ tests/regressiontests/defer_regress/models.py	(working copy)
@@ -2,9 +2,7 @@
 Regression tests for defer() / only() behavior.
 """
 
-from django.conf import settings
-from django.contrib.contenttypes.models import ContentType
-from django.db import connection, models
+from django.db import models
 
 class Item(models.Model):
     name = models.CharField(max_length=15)
Index: tests/regressiontests/admin_filters/tests.py
===================================================================
--- tests/regressiontests/admin_filters/tests.py	(revision 16529)
+++ tests/regressiontests/admin_filters/tests.py	(working copy)
@@ -1,5 +1,3 @@
-from __future__ import with_statement
-
 import datetime
 
 from django.core.exceptions import ImproperlyConfigured
Index: tests/regressiontests/test_utils/tests.py
===================================================================
--- tests/regressiontests/test_utils/tests.py	(revision 16529)
+++ tests/regressiontests/test_utils/tests.py	(working copy)
@@ -1,8 +1,6 @@
 from __future__ import with_statement
 
-import sys
-
-from django.test import TestCase, skipUnlessDBFeature, skipIfDBFeature
+from django.test import TestCase, skipUnlessDBFeature
 from django.utils.unittest import skip
 
 from models import Person
Index: tests/regressiontests/cache/tests.py
===================================================================
--- tests/regressiontests/cache/tests.py	(revision 16529)
+++ tests/regressiontests/cache/tests.py	(working copy)
@@ -2,7 +2,6 @@
 
 # Unit tests for cache framework
 # Uses whatever cache backend is set in the test settings file.
-from __future__ import with_statement
 
 import hashlib
 import os
Index: tests/regressiontests/multiple_database/models.py
===================================================================
--- tests/regressiontests/multiple_database/models.py	(revision 16529)
+++ tests/regressiontests/multiple_database/models.py	(working copy)
@@ -1,4 +1,3 @@
-from django.conf import settings
 from django.contrib.auth.models import User
 from django.contrib.contenttypes.models import ContentType
 from django.contrib.contenttypes import generic
Index: tests/regressiontests/select_related_onetoone/tests.py
===================================================================
--- tests/regressiontests/select_related_onetoone/tests.py	(revision 16529)
+++ tests/regressiontests/select_related_onetoone/tests.py	(working copy)
@@ -1,5 +1,3 @@
-from django import db
-from django.conf import settings
 from django.test import TestCase
 
 from models import (User, UserProfile, UserStat, UserStatResult, StatDetails,
Index: tests/regressiontests/delete_regress/tests.py
===================================================================
--- tests/regressiontests/delete_regress/tests.py	(revision 16529)
+++ tests/regressiontests/delete_regress/tests.py	(working copy)
@@ -1,11 +1,11 @@
 import datetime
 
 from django.conf import settings
-from django.db import backend, connection, transaction, DEFAULT_DB_ALIAS
+from django.db import backend, transaction, DEFAULT_DB_ALIAS
 from django.test import TestCase, TransactionTestCase, skipUnlessDBFeature
 
 from models import (Book, Award, AwardNote, Person, Child, Toy, PlayedWith,
-    PlayedWithNote, Contact, Email, Researcher, Food, Eaten,
+    PlayedWithNote, Email, Researcher, Food, Eaten,
     Policy, Version, Location, Item)
 
 
Index: tests/regressiontests/views/tests/debug.py
===================================================================
--- tests/regressiontests/views/tests/debug.py	(revision 16529)
+++ tests/regressiontests/views/tests/debug.py	(working copy)
@@ -9,7 +9,6 @@
 from django.core.urlresolvers import reverse
 from django.template import TemplateSyntaxError
 from django.views.debug import ExceptionReporter
-from django.core.exceptions import ImproperlyConfigured
 from django.core import mail
 
 from regressiontests.views import BrokenException, except_args
Index: tests/regressiontests/views/tests/defaults.py
===================================================================
--- tests/regressiontests/views/tests/defaults.py	(revision 16529)
+++ tests/regressiontests/views/tests/defaults.py	(working copy)
@@ -1,6 +1,3 @@
-from os import path
-
-from django.conf import settings
 from django.test import TestCase
 from django.contrib.contenttypes.models import ContentType
 
Index: tests/regressiontests/model_forms_regress/tests.py
===================================================================
--- tests/regressiontests/model_forms_regress/tests.py	(revision 16529)
+++ tests/regressiontests/model_forms_regress/tests.py	(working copy)
@@ -8,8 +8,8 @@
 from django.utils import unittest
 from django.test import TestCase
 
-from models import Person, RealPerson, Triple, FilePathModel, Article, \
-    Publication, CustomFF, Author, Author1, Homepage, Document, Edition
+from models import (Person, RealPerson, Triple, FilePathModel, Article,
+    Publication, CustomFF, Author, Author1, Homepage, Document, Edition)
 
 
 class ModelMultipleChoiceFieldTests(TestCase):
Index: tests/regressiontests/admin_validation/tests.py
===================================================================
--- tests/regressiontests/admin_validation/tests.py	(revision 16529)
+++ tests/regressiontests/admin_validation/tests.py	(working copy)
@@ -1,7 +1,6 @@
 from django.contrib import admin
 from django import forms
-from django.contrib.admin.validation import validate, validate_inline, \
-                                            ImproperlyConfigured
+from django.contrib.admin.validation import validate, validate_inline, ImproperlyConfigured
 from django.test import TestCase
 
 from models import Song, Book, Album, TwoAlbumFKAndAnE, State, City
Index: tests/regressiontests/file_storage/tests.py
===================================================================
--- tests/regressiontests/file_storage/tests.py	(revision 16529)
+++ tests/regressiontests/file_storage/tests.py	(working copy)
@@ -18,7 +18,7 @@
 
 from django.conf import settings
 from django.core.exceptions import SuspiciousOperation, ImproperlyConfigured
-from django.core.files.base import ContentFile, File
+from django.core.files.base import ContentFile
 from django.core.files.images import get_image_dimensions
 from django.core.files.storage import FileSystemStorage, get_storage_class
 from django.core.files.uploadedfile import UploadedFile
Index: tests/regressiontests/file_uploads/tests.py
===================================================================
--- tests/regressiontests/file_uploads/tests.py	(revision 16529)
+++ tests/regressiontests/file_uploads/tests.py	(working copy)
@@ -9,7 +9,7 @@
 
 from django.core.files import temp as tempfile
 from django.core.files.uploadedfile import SimpleUploadedFile
-from django.http.multipartparser import MultiPartParser, MultiPartParserError
+from django.http.multipartparser import MultiPartParser
 from django.test import TestCase, client
 from django.utils import simplejson
 from django.utils import unittest
Index: tests/regressiontests/expressions_regress/tests.py
===================================================================
--- tests/regressiontests/expressions_regress/tests.py	(revision 16529)
+++ tests/regressiontests/expressions_regress/tests.py	(working copy)
@@ -3,8 +3,7 @@
 """
 import datetime
 
-from django.conf import settings
-from django.db import models, connection
+from django.db import connection
 from django.db.models import F
 from django.test import TestCase, Approximate, skipUnlessDBFeature
 
Index: tests/regressiontests/syndication/tests.py
===================================================================
--- tests/regressiontests/syndication/tests.py	(revision 16529)
+++ tests/regressiontests/syndication/tests.py	(working copy)
@@ -1,5 +1,3 @@
-import datetime
-import warnings
 from xml.dom import minidom
 
 from django.contrib.syndication import views
Index: tests/regressiontests/comment_tests/tests/templatetag_tests.py
===================================================================
--- tests/regressiontests/comment_tests/tests/templatetag_tests.py	(revision 16529)
+++ tests/regressiontests/comment_tests/tests/templatetag_tests.py	(working copy)
@@ -1,5 +1,4 @@
 from django.contrib.comments.forms import CommentForm
-from django.contrib.comments.models import Comment
 from django.contrib.contenttypes.models import ContentType
 from django.template import Template, Context
 from regressiontests.comment_tests.models import Article, Author
Index: tests/regressiontests/comment_tests/tests/comment_utils_moderators_tests.py
===================================================================
--- tests/regressiontests/comment_tests/tests/comment_utils_moderators_tests.py	(revision 16529)
+++ tests/regressiontests/comment_tests/tests/comment_utils_moderators_tests.py	(working copy)
@@ -1,5 +1,4 @@
-from regressiontests.comment_tests.tests import CommentTestCase, CT, Site
-from django.contrib.comments.forms import CommentForm
+from regressiontests.comment_tests.tests import CommentTestCase
 from django.contrib.comments.models import Comment
 from django.contrib.comments.moderation import moderator, CommentModerator, AlreadyModerated
 from regressiontests.comment_tests.models import Entry
Index: tests/regressiontests/comment_tests/tests/feed_tests.py
===================================================================
--- tests/regressiontests/comment_tests/tests/feed_tests.py	(revision 16529)
+++ tests/regressiontests/comment_tests/tests/feed_tests.py	(working copy)
@@ -1,7 +1,3 @@
-import warnings
-
-from django.test.utils import get_warnings_state, restore_warnings_state
-
 from regressiontests.comment_tests.tests import CommentTestCase
 
 
Index: tests/regressiontests/m2m_through_regress/models.py
===================================================================
--- tests/regressiontests/m2m_through_regress/models.py	(revision 16529)
+++ tests/regressiontests/m2m_through_regress/models.py	(working copy)
@@ -1,7 +1,4 @@
-from datetime import datetime
-
 from django.contrib.auth.models import User
-from django.core import management
 from django.db import models
 
 
Index: tests/regressiontests/signals_regress/tests.py
===================================================================
--- tests/regressiontests/signals_regress/tests.py	(revision 16529)
+++ tests/regressiontests/signals_regress/tests.py	(working copy)
@@ -1,5 +1,3 @@
-import sys
-from StringIO import StringIO
 from django.test import TestCase
 
 from django.db import models
Index: tests/regressiontests/datatypes/tests.py
===================================================================
--- tests/regressiontests/datatypes/tests.py	(revision 16529)
+++ tests/regressiontests/datatypes/tests.py	(working copy)
@@ -1,7 +1,5 @@
 import datetime
 
-from django.conf import settings
-from django.db import DEFAULT_DB_ALIAS
 from django.test import TestCase, skipIfDBFeature
 from django.utils import tzinfo
 
Index: tests/regressiontests/localflavor/tests.py
===================================================================
--- tests/regressiontests/localflavor/tests.py	(revision 16529)
+++ tests/regressiontests/localflavor/tests.py	(working copy)
@@ -1,7 +1,3 @@
-from django.test import TestCase
-from django.utils import unittest
-
-# just import your tests here
 from au.tests import *
 from mk.tests import *
 from us.tests import *
Index: tests/regressiontests/modeladmin/models.py
===================================================================
--- tests/regressiontests/modeladmin/models.py	(revision 16529)
+++ tests/regressiontests/modeladmin/models.py	(working copy)
@@ -1,6 +1,4 @@
 # coding: utf-8
-from datetime import date
-
 from django.db import models
 from django.contrib.auth.models import User
 
Index: tests/regressiontests/max_lengths/tests.py
===================================================================
--- tests/regressiontests/max_lengths/tests.py	(revision 16529)
+++ tests/regressiontests/max_lengths/tests.py	(working copy)
@@ -1,4 +1,3 @@
-from django.db import DatabaseError
 from django.utils import unittest
 from regressiontests.max_lengths.models import PersonWithDefaultMaxLengths, PersonWithCustomMaxLengths
 
Index: tests/regressiontests/extra_regress/tests.py
===================================================================
--- tests/regressiontests/extra_regress/tests.py	(revision 16529)
+++ tests/regressiontests/extra_regress/tests.py	(working copy)
@@ -3,8 +3,7 @@
 from django.utils.datastructures import SortedDict
 
 from django.contrib.auth.models import User
-from regressiontests.extra_regress.models import TestObject, Order, \
-        RevisionableModel
+from regressiontests.extra_regress.models import TestObject, Order, RevisionableModel
 
 import datetime
 
Index: tests/regressiontests/i18n/patterns/urls/wrong_namespace.py
===================================================================
--- tests/regressiontests/i18n/patterns/urls/wrong_namespace.py	(revision 16529)
+++ tests/regressiontests/i18n/patterns/urls/wrong_namespace.py	(working copy)
@@ -1,4 +1,4 @@
-from django.conf.urls.defaults import include, url
+from django.conf.urls.defaults import url
 from django.conf.urls.i18n import i18n_patterns
 from django.utils.translation import ugettext_lazy as _
 from django.views.generic import TemplateView
Index: tests/regressiontests/i18n/patterns/urls/namespace.py
===================================================================
--- tests/regressiontests/i18n/patterns/urls/namespace.py	(revision 16529)
+++ tests/regressiontests/i18n/patterns/urls/namespace.py	(working copy)
@@ -1,4 +1,4 @@
-from django.conf.urls.defaults import patterns, include, url
+from django.conf.urls.defaults import patterns, url
 from django.utils.translation import ugettext_lazy as _
 from django.views.generic import TemplateView
 
Index: tests/regressiontests/i18n/patterns/urls/wrong.py
===================================================================
--- tests/regressiontests/i18n/patterns/urls/wrong.py	(revision 16529)
+++ tests/regressiontests/i18n/patterns/urls/wrong.py	(working copy)
@@ -1,4 +1,4 @@
-from django.conf.urls.defaults import patterns, include, url
+from django.conf.urls.defaults import include, url
 from django.conf.urls.i18n import i18n_patterns
 from django.utils.translation import ugettext_lazy as _
 
Index: tests/regressiontests/i18n/forms.py
===================================================================
--- tests/regressiontests/i18n/forms.py	(revision 16529)
+++ tests/regressiontests/i18n/forms.py	(working copy)
@@ -1,5 +1,6 @@
-from django import template, forms
+from django import forms
 from django.forms.extras import SelectDateWidget
+
 from models import Company
 
 class I18nForm(forms.Form):
Index: tests/regressiontests/csrf_tests/tests.py
===================================================================
--- tests/regressiontests/csrf_tests/tests.py	(revision 16529)
+++ tests/regressiontests/csrf_tests/tests.py	(working copy)
@@ -1,6 +1,5 @@
 # -*- coding: utf-8 -*-
 from __future__ import with_statement
-import warnings
 
 from django.test import TestCase
 from django.http import HttpRequest, HttpResponse
Index: tests/regressiontests/model_fields/tests.py
===================================================================
--- tests/regressiontests/model_fields/tests.py	(revision 16529)
+++ tests/regressiontests/model_fields/tests.py	(working copy)
@@ -12,14 +12,14 @@
 
 # If PIL available, do these tests.
 if Image:
-    from imagefield import \
-            ImageFieldTests, \
-            ImageFieldTwoDimensionsTests, \
-            ImageFieldNoDimensionsTests, \
-            ImageFieldOneDimensionTests, \
-            ImageFieldDimensionsFirstTests, \
-            ImageFieldUsingFileTests, \
-            TwoImageFieldTests
+    from imagefield import (
+            ImageFieldTests,
+            ImageFieldTwoDimensionsTests,
+            ImageFieldNoDimensionsTests,
+            ImageFieldOneDimensionTests,
+            ImageFieldDimensionsFirstTests,
+            ImageFieldUsingFileTests,
+            TwoImageFieldTests)
 
 
 class BasicFieldTests(test.TestCase):
Index: tests/regressiontests/model_fields/imagefield.py
===================================================================
--- tests/regressiontests/model_fields/imagefield.py	(revision 16529)
+++ tests/regressiontests/model_fields/imagefield.py	(working copy)
@@ -2,12 +2,11 @@
 import shutil
 
 from django.core.files import File
-from django.core.files.base import ContentFile
 from django.core.files.images import ImageFile
 from django.test import TestCase
 
-from models import Image, Person, PersonWithHeight, PersonWithHeightAndWidth, \
-        PersonDimensionsFirst, PersonTwoImages, TestImageFieldFile
+from models import (Image, Person, PersonWithHeight, PersonWithHeightAndWidth,
+        PersonDimensionsFirst, PersonTwoImages, TestImageFieldFile)
 
 
 # If PIL available, do these tests.
Index: tests/regressiontests/generic_relations_regress/tests.py
===================================================================
--- tests/regressiontests/generic_relations_regress/tests.py	(revision 16529)
+++ tests/regressiontests/generic_relations_regress/tests.py	(working copy)
@@ -1,5 +1,4 @@
 from django.test import TestCase
-from django.contrib.contenttypes.models import ContentType
 from django.db.models import Q
 from models import *
 
Index: tests/regressiontests/forms/tests/media.py
===================================================================
--- tests/regressiontests/forms/tests/media.py	(revision 16529)
+++ tests/regressiontests/forms/tests/media.py	(working copy)
@@ -1,5 +1,4 @@
 # -*- coding: utf-8 -*-
-from django.conf import settings
 from django.forms import TextInput, Media, TextInput, CharField, Form, MultiWidget
 from django.test import TestCase
 from django.test.utils import override_settings
Index: tests/regressiontests/forms/tests/models.py
===================================================================
--- tests/regressiontests/forms/tests/models.py	(revision 16529)
+++ tests/regressiontests/forms/tests/models.py	(working copy)
@@ -3,7 +3,8 @@
 from django.core.files.uploadedfile import SimpleUploadedFile
 from django.forms import Form, ModelForm, FileField, ModelChoiceField
 from django.test import TestCase
-from regressiontests.forms.models import ChoiceModel, ChoiceOptionModel, ChoiceFieldModel, FileModel, Group, BoundaryModel, Defaults
+from regressiontests.forms.models import (ChoiceOptionModel, ChoiceFieldModel,
+    FileModel, Group, BoundaryModel, Defaults)
 
 
 class ChoiceFieldForm(ModelForm):
Index: tests/regressiontests/forms/tests/fields.py
===================================================================
--- tests/regressiontests/forms/tests/fields.py	(revision 16529)
+++ tests/regressiontests/forms/tests/fields.py	(working copy)
@@ -33,7 +33,6 @@
 
 from django.core.files.uploadedfile import SimpleUploadedFile
 from django.forms import *
-from django.forms.widgets import RadioFieldRenderer
 from django.utils.unittest import TestCase
 
 
Index: tests/regressiontests/forms/tests/forms.py
===================================================================
--- tests/regressiontests/forms/tests/forms.py	(revision 16529)
+++ tests/regressiontests/forms/tests/forms.py	(working copy)
@@ -1,8 +1,5 @@
 # -*- coding: utf-8 -*-
 import datetime
-from decimal import Decimal
-import re
-import time
 from django.core.files.uploadedfile import SimpleUploadedFile
 from django.forms import *
 from django.http import QueryDict
Index: tests/regressiontests/forms/tests/widgets.py
===================================================================
--- tests/regressiontests/forms/tests/widgets.py	(revision 16529)
+++ tests/regressiontests/forms/tests/widgets.py	(working copy)
@@ -2,9 +2,6 @@
 
 import copy
 import datetime
-import re
-import time
-from decimal import Decimal
 from django.conf import settings
 from django.core.files.uploadedfile import SimpleUploadedFile
 from django.forms import *
Index: tests/regressiontests/forms/localflavor/in_.py
===================================================================
--- tests/regressiontests/forms/localflavor/in_.py	(revision 16529)
+++ tests/regressiontests/forms/localflavor/in_.py	(working copy)
@@ -1,5 +1,3 @@
-import warnings
-
 from django.contrib.localflavor.in_.forms import (INZipCodeField,
     INStateField, INStateSelect, INPhoneNumberField)
 
Index: tests/regressiontests/forms/localflavor/cl.py
===================================================================
--- tests/regressiontests/forms/localflavor/cl.py	(revision 16529)
+++ tests/regressiontests/forms/localflavor/cl.py	(working copy)
@@ -1,5 +1,4 @@
 from django.contrib.localflavor.cl.forms import CLRutField, CLRegionSelect
-from django.core.exceptions import ValidationError
 
 from utils import LocalFlavorTestCase
 
Index: tests/regressiontests/serializers_regress/tests.py
===================================================================
--- tests/regressiontests/serializers_regress/tests.py	(revision 16529)
+++ tests/regressiontests/serializers_regress/tests.py	(working copy)
@@ -15,10 +15,9 @@
 except ImportError:
     from StringIO import StringIO
 
-from django.conf import settings
-from django.core import serializers, management
+from django.core import serializers
 from django.core.serializers import SerializerDoesNotExist
-from django.db import transaction, DEFAULT_DB_ALIAS, connection
+from django.db import connection
 from django.test import TestCase
 from django.utils.functional import curry
 
